commit eaa1bfa2fb6b18e135c3a86515c413375e03edd1
Author: freddy77 <freddy77>
Date:   Fri Nov 7 16:23:58 2008 +0000

    *** empty log message ***

diff --git a/TODO.freddy b/TODO.freddy
index e8d8869..1f475c8 100644
--- a/TODO.freddy
+++ b/TODO.freddy
@@ -56,6 +56,8 @@ Is it possible to support direct binding for parameters using different
 encodings? For instance client <-> server iso8859-1 <-> ucs2. It should be
 possible changing TDSCOLUMN->char_conv. Some work should be done in 
 src/tds/iconv.c in order to get a valid char_conv changing client encoding.
+Merge putdata and blob1 tests, tests (W)CHAR/BINARY -> (W)CHAR/BINARY (9 cases).
+Check blob1 dialog, seems to prepare twice during insert.
 
 Other
 -----
@@ -71,6 +73,16 @@ Possibility to lock TDSSOCKET (see odbc, multiple RPCs)
 
 Support Unicode under ODBC, use iso8859-1 by default and large characters
 
+If application rebind with compatible types do not prepare twice.
+Compatible (tds_match_dynamic ??) if:
+- same query
+- same # of parameters
+- for every param
+  - same server type
+    (tds_get_conversion_type(curcol->on_server.column_type, curcol->on_server.column_size))
+  - same len (tds_fix_column_size(tds, curcol)) or len < previous
+    (for decimal/precision check curcol->column_prec and curcol->column_scale)
+
 
 Tests
 -----

